Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCallForwardingStatus Class Reference

The associated parameters of a Enhanced Call Forwarding feature invocation. More...

`#import <CSCallForwardingStatus.h>`

Inherits NSObject, and <NSCoding>.

## Instance Methods
(instancetype) | - initWithInternalCallForwardingStatus:externalCallForwardingStatus:internalDestination:externalDestination:
| Constructs a CSCallForwardingStatus object from the specified parameters. More...

## Properties
BOOL | enabledForInternalCalls
| A Boolean value indicating the status of call forwarding for internal calls. More...
BOOL | enabledForExternalCalls
| A Boolean value indicating the status of call forwarding for external calls. More...
NSString * | destinationForInternalCalls
| Returns the destination address where the call needs to be forwarded for internal calls. More...
NSString * | destinationForExternalCalls
| Returns the destination address where the call needs to be forwarded for external calls. More...

## Detailed Description

The associated parameters of a Enhanced Call Forwarding feature invocation.

The parameters for Uncondiational Call forward viz. avaya-cm-cfall-internal-action, avaya-cm-cfall-internal-dest. on busy call forward, on response call forward for internal and external.

## Method Documentation

- (instancetype) initWithInternalCallForwardingStatus: |  | (BOOL) | enabledForInternalCalls
externalCallForwardingStatus: |  | (BOOL) | enabledForExternalCalls
internalDestination: |  | (NSString *) | destinationForInternalCalls
externalDestination: |  | (NSString *) | destinationForExternalCalls

Constructs a CSCallForwardingStatus object from the specified parameters.

Parameters

  enabledForInternalCalls | YES if call forwarding is enabled for the internal calls.
  enabledForExternalCalls | YES if call forwarding is enabled for the external calls. Always NO for IP Office.
  destinationForInternalCalls | The destination address for the internal call forward.
  destinationForExternalCalls | The destination address for the external call forward. Always empty for IP Office.

## Property Documentation

- (NSString*) destinationForExternalCalls
| read nonatomic assign

Returns the destination address where the call needs to be forwarded for external calls.

- (NSString*) destinationForInternalCalls
| read nonatomic assign

Returns the destination address where the call needs to be forwarded for internal calls.

- (BOOL) enabledForExternalCalls
| read nonatomic assign

A Boolean value indicating the status of call forwarding for external calls.

The value of this property is YES if the call forwarding is enabled for external calls.

- (BOOL) enabledForInternalCalls
| read nonatomic assign

A Boolean value indicating the status of call forwarding for internal calls.

The value of this property is YES if the call forwarding is enabled for internal calls.

The documentation for this class was generated from the following file:

- CSCallForwardingStatus.h